Bug 198757

Summary: [ Mojave+ ] Layout Test compositing/fixed-with-main-thread-scrolling.html is a flaky timeout
Product: WebKit Reporter: Shawn Roberts <sroberts>
Component: Tools / TestsAssignee: Simon Fraser (smfr) <simon.fraser>
Status: NEW ---    
Severity: Normal CC: cmarcelo, commit-queue, ews-watchlist, fred.wang, jamesr, jlewis3, koivisto, luiz, ryanhaddad, simon.fraser, thorton, tonikitoo, tsavell, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=197819
Attachments:
Description Flags
Patch
thorton: review+
Patch
none
Patch
none
Patch none

Description Shawn Roberts 2019-06-11 10:16:32 PDT
The following layout test is flaky on Mojave WK2 Release and Debug

compositing/fixed-with-main-thread-scrolling.html

Probable cause:

Appears to have been flaky its entire history since its last change in r238883 . 

Local testing I verified flaky behavior from current revision all the way back to 238883, but flaky behavior did seem to get worse around r244215 but I cannot verify completely since results are very sporadic. 

Verified with :

run-webkit-tests compositing/fixed-with-main-thread-scrolling.html --iter 500 -f

Flakiness Dashboard:

https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=compositing%2Ffixed-with-main-thread-scrolling.html
Comment 1 Radar WebKit Bug Importer 2019-06-11 10:17:34 PDT
<rdar://problem/51628629>
Comment 2 Shawn Roberts 2019-06-11 10:25:56 PDT
Updated expectations in https://trac.webkit.org/changeset/246323/webkit
Comment 3 Simon Fraser (smfr) 2019-10-15 16:40:36 PDT
Created attachment 381037 [details]
Patch
Comment 4 Simon Fraser (smfr) 2019-10-15 17:45:18 PDT
Created attachment 381043 [details]
Patch
Comment 5 Simon Fraser (smfr) 2019-10-16 13:51:19 PDT
Created attachment 381105 [details]
Patch
Comment 6 Simon Fraser (smfr) 2019-10-17 13:17:40 PDT
Created attachment 381218 [details]
Patch
Comment 7 WebKit Commit Bot 2019-10-17 15:15:16 PDT
Comment on attachment 381218 [details]
Patch

Clearing flags on attachment: 381218

Committed r251262: <https://trac.webkit.org/changeset/251262>